Skip to main content
PATCH
/
oauth-providers
/
{user_id}
/
{provider_id}
Update an OAuth provider
curl --request PATCH \
  --url https://api.hexclave.com/api/v1/oauth-providers/{user_id}/{provider_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "allow_sign_in": true,
  "allow_connected_accounts": true
}
'
import requests

url = "https://api.hexclave.com/api/v1/oauth-providers/{user_id}/{provider_id}"

payload = {
"allow_sign_in": True,
"allow_connected_accounts": True
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({allow_sign_in: true, allow_connected_accounts: true})
};

fetch('https://api.hexclave.com/api/v1/oauth-providers/{user_id}/{provider_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "user_id": "3241a285-8329-4d69-8f3d-316e08cf140c",
  "id": "b3d396b8-c574-4c80-97b3-50031675ceb2",
  "provider_config_id": "google",
  "type": "google",
  "allow_sign_in": true,
  "allow_connected_accounts": true,
  "email": "test@gmail.com"
}

Path Parameters

provider_id
string
required
user_id
string
required

The ID of the user, or the special value me for the currently authenticated user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"

Body

application/json
allow_sign_in
boolean

Whether the user can use this OAuth provider to sign in. Only one OAuth provider per type can have this set to true.

Example:

true

allow_connected_accounts
boolean

Whether the user can use this OAuth provider as connected account. Multiple OAuth providers per type can have this set to true.

Example:

true

Response

200 - application/json

Successful response

user_id
string
required

The ID of the user, or the special value me for the currently authenticated user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"

id
string
required

The unique identifier of the OAuth provider

Example:

"b3d396b8-c574-4c80-97b3-50031675ceb2"

provider_config_id
string
required

Provider config ID of the OAuth provider. This uniquely identifies the provider config on config.json file

Example:

"google"

type
enum<string>
required

OAuth provider type, one of google, github, microsoft, spotify, facebook, discord, gitlab, bitbucket, linkedin, apple, x, twitch

Available options:
google,
github,
microsoft,
spotify,
facebook,
discord,
gitlab,
bitbucket,
linkedin,
apple,
x,
twitch
Example:

"google"

allow_sign_in
boolean
required

Whether the user can use this OAuth provider to sign in. Only one OAuth provider per type can have this set to true.

Example:

true

allow_connected_accounts
boolean
required

Whether the user can use this OAuth provider as connected account. Multiple OAuth providers per type can have this set to true.

Example:

true

email
string

Email of the OAuth provider. This is used to display and identify the OAuth provider in the UI.

Example:

"test@gmail.com"